Thursday, 1 March 2018

MPI Tool Pack v0.081 fixes 'ERROR: Please install Grub4dos to the MBR' error!


If you are getting this error a lot when trying to switch to .imgPTN files, the reason is that you are probably using RMPrepUSB v2.1.740 or later to install grub4dos or BootIce+grub4dos 0.4.6a.

To fix this, you can either use an older version of RMPrepUSB, or use v 0.081 or later of the MPI Tool Pack and remake your .imgPTN file.

The problem is due to the grub4dos boot code changing. The code in the menu.lst file looks for 'Missing MBR-helper' but the code has now changed with 0.4.6a to be 'Missing helper' and so it does not restore the original grub4dos MBR sector when you switch back to the E2B MBR, but restores the backup sector from LBA 1 instead (which usually does not contain the grub4dos boot code).

The new \menu.lst in MPI v0.081 will work with either version of the grub4dos boot code.